ROsf=50;%density of styrofoam [kg/m3]
Hsf=200e-6;%hight of styrofoam disk [m]
r2sf=200e-6;%outer radius of styrofoam disk [m]
r1sf=50e-6;%inner radius of styrofoam disk [m]
ROal=2700;%density of aluminum [kg/m3]
Hal=140e-6;%hight of aluminum disk[m]
r2al=200e-6;%outer radius of aluminum disk [m]
r1al=100e-6;%inner radius of aluminum disk [m]
deltaWsfal=46; %difference between the lower and higher rotational speed for composition of aluminum disk + styrofoam disk [rd/s]
deltaTsfal=0.20;%time to reach the rotational speed difference for composition of aluminum disk + styrofoam disk [s]
deltaWsf=46;%difference between the lower and higher rotational speed for styrofoam disk [rd/s]
deltaTsf=0.10;%time to reach the rotational speed difference for styrofoam disk [s]
rdroplet=0.0012; %radius of water droplet
ROH2O=1000;%density of water [kg/m3]
mdroplet=4*3.14*rdroplet^3/3/2*ROH2O %mass of droplet [kg]
msf=3.14*ROsf*Hsf*(r2sf^2-r1sf^2)%mass of styrofoam disk (ring)[kg]
mal=3.14*ROal*Hal*(r2al^2-r1al^2)%mass of aluminium disk (ring)[kg]
mbuoyancy=3.14*ROH2O*Hsf*(r2sf^2-r1sf^2)+3.14*ROH2O*Hal*(r2al^2-r1al^2)%maximum mass of displaced water[kg]
Jsf=3.14/2*ROsf*Hsf*(r2sf^4-r1sf^4)% Inertia of styrofoam disk [kgm2]
Jal=3.14/2*ROal*Hal*(r2al^4-r1al^4)% Inertia of aluminium disk [kgm2]
Jload=Jal-Jsf % Load inertia [kgm2]
Tmax=3.14/2*[(ROsf*Hsf*(r2sf^4-r1sf^4)+ROal*Hal*(r2al^4-r1al^4))*deltaWsfal/deltaTsfal-ROsf*Hsf*(r2sf^4-r1sf^4)*deltaWsf/deltaTsf] %maximum torque of the microfluidic motor [Nm]